# Configuration file

####################
# block
####################

block {
    ####################
    # ids
    #===================
    # Block Ids.
    # Blocks will use these IDs. If there is a conflict on first generation there will be autoresolve.
    ####################

    ids {
        # Almost every other block in the mod.
        I:idMulti=1500

        # Portals
        I:idPortal=1501
    }

}


####################
# chestloot
#===================
# Chest Loot options.
# Changes will only take effect on newly generated loot chests.
# 
# For Booleans
#    1 means Yes
#    0 means No
####################

chestloot {
    # Boolean:
    # Is chest loot enabled for Ender Pearl Dust?
    I:enableLootDust=1

    # Boolean:
    # Is chest loot enabled for Fizzlers?
    I:enableLootFizzler=1

    # Boolean:
    # Is chest loot enabled for Portal Guns?
    I:enableLootPortalGun=1

    # Boolean:
    # Is chest loot enabled for Portal Spawners?
    I:enableLootPortalSpawner=1

    # Enabled chest loot spawns.
    # 0 = Disabled
    # 1 = Dungeon Chests
    # 2 = Bonus Chests
    # 3 = Village Blacksmith Chests
    # 4 = Stronghold Crossing Chests
    # 5 = Stronghold Library Chests
    # 6 = Stronghold Corridor Chests
    # 7 = Jungle Pyramid Dispensers
    # 8 = Jungle Pyramid Chests
    # 9 = Desert Pyramid Chests
    # 10 = Mineshaft Corridor Chests
    # Formatting: 1, 2, 3, ... etc
    S:enabledLootOptions=1

    # What is the rarity of Ender Pearl Dust?
    # 1 - 100
    I:lootRarityDust=10

    # What is the rarity of Fizzlers?
    # 1 - 100
    I:lootRarityFizzler=2

    # What is the rarity of Portal Guns?
    # 1 - 100
    I:lootRarityPortalGun=2

    # What is the rarity of Portal Spawners?
    # 1 - 100
    I:lootRarityPortalSpawner=2
}


####################
# client
####################

client {
    ####################
    # clientspecific
    ####################

    clientspecific {
        I:christmasPotatOS=0
        S:colourBaconGun1=#ffffff
        S:colourBaconGun2=#ffffff
        S:colourPotatoGun1=#ffffff
        S:colourPotatoGun2=#ffffff
        I:customBaconGunColour=0
        I:customPotatoGunColour=0
        I:enableSounds=1
        I:equipPortalGunSound=1
        I:portalGunModel=1
        I:renderTurretLaser=1
    }

    ####################
    # keybinds
    ####################

    keybinds {
        I:grabKey=34
        I:resetPortalsKey=19
        I:shootBluePortalKey=-100
        I:shootOrangePortalKey=-99
        I:zoomKey=-98
    }

}


####################
# general
#===================
# General settings for the mod.
####################

general {
    # Disabled mod parts.
    # Mod parts in this mod can be disabled to free up Block/Item IDs, etc.
    # More info can be found here:
    # http://ichun.us/mods/portalgun/mod-content/
    # 
    # By default, all mod parts are enabled, so this setting is set to -1.
    # To disable parts, list them as so, with letters A, B, C, D representing a number of a mod part:
    # EG: A, B, C, D. (They should be numbers!)
    # At this moment, not all of the previous mod content have been added. They will be in the future.
    # 
    # 0 = Portals (Including the pedestal)
    # 1 = Long fall boots
    # 2 = Weighted Storage Cubes, including the records and the radio.
    # 3 = Material Emancipation Grid(Not yet implemented)
    # 4 = Turrets
    # 5 = Aerial Faith Plates
    # 6 = High Energy Pellets
    # 7 = Thermal Discouragement Beams(Not yet implemented)
    # 8 = Checkpoint Blocks(Not yet implemented)
    # 9 = Decorative items.
    S:modPartsDisabled=-1

    # Boolean:
    # Enable easy Long Fall Boots recipe?
    I:recipeEasyLongFallBoots=0

    # Boolean:
    # Enable easy Default PortalGun and Portal Spawner recipe?
    I:recipeEasyPortalGun=0
}


####################
# item
####################

item {
    ####################
    # ids
    #===================
    # Base Item Ids.
    # Items will start using these IDs and increment.
    # Items do not have autoresolve.
    ####################

    ids {
        # Item ID base
        # Mod items (Excluding records) will start using this ID and increment.
        # Default: 13200
        I:itemIdIndex=15000

        # Record ID base
        # Mod records will start using this ID and increment.
        # Default: 13400
        I:recordIdIndex=15400
    }

}


####################
# portalgun
#===================
# Portalgun options.
# These cannot be changed in-game. Look in the world folder for many more options.
# 
# For Booleans
#    1 means Yes
#    0 means No
####################

portalgun {
    # Boolean:
    # Can you macerate the ender pearl to get ender pearl dust (For IndustrialCraft 2 mod only)?
    I:dustMaceration=1

    # Boolean:
    # Enable Fuel (ender pearl dust) for the portalgun?
    # Custom fuel is possible in the WORLD config.
    I:portalGunFuel=0
}


